'\" 
'\" Copyright (c) 2001 by Andreas Kupries <a.kupries@westend.com>
'\" All rights reserved.
'\" 
'\" RCS: @(#) $Id: base64.n,v 1.2 2001/08/02 16:38:06 andreas_kupries Exp $
'\" 
.so man.macros
.TH base64 n 1.0 Base64 "base64 en- & decoding"
.BS
'\" Note: do not modify the .SH NAME line immediately below!
.SH NAME
::base64 \- Procedures to encode and decode base64
.SH SYNOPSIS
\fBpackage require Tcl 8\fR
.sp
\fBpackage require base64 ?2.2?\fR
.sp
\fB::base64::encode\fR ?-maxlen \fImaxlen\fR? ?-wrapchar \fIchar\fR? \fIstring\fR
.sp
\fB::base64::decode\fR \fIstring\fR
.BE
.SH DESCRIPTION
.PP
This package provides procedures to encode binary data into base64 and back.
.TP
\fB::base64::encode\fR ?-maxlen \fImaxlen\fR? ?-wrapchar \fIwrapchar\fR? \fIstring\fR
Base64 encodes the given binary \fIstring\fR and returns the encoded
result. Inserts the character \fIwrapchar\fR every \fImaxlen\fR
characters of output. \fIwrapchar\fR defaults to newline. \fImaxlen\fR
defaults to 60.
.TP
\fB::base64::decode\fR \fIstring\fR
Base64 decodes the given \fIstring\fR and returns the binary
data. The decoder ignores whitespace in the string.

.SH KEYWORDS
encoding, base64
